webdevqa.jp.net

アプリのターゲットAPIレベルを23から26に変更する方法

アプリをGoogle Play Consoleにアップロードしようとすると問題が発生し、APIレベルが26でなければならず、アプリは23バージョンで開発されただけで、このAPIバージョンを23から変更する方法がわかりませんエラーなしで動作するように26に。

お願い助けて!

5
Mahrez

build.gradleファイルからAPIを変更できます。 enter image description here

5
Harish Rawal

手順:

  1. File> Project Structure。に移動します。
  2. 左パネルでApp Moduleを選択します
  3. トップメニュータブからFlavourタブを選択します
  4. Min SDKバージョン(あなたのケースではTarget SDK Versionを26
  5. クリックOK

リファレンス: http://abhiandroid.com/androidstudio/change-api-sdk-level-Android-studio.html

3
Subrata

ただし、下の友達が答えた答えがあります。APIのバージョンを変更する場合に通知したいだけです。また、build.gradleアプリのライブラリについても検討する必要があります。

例えば:

enter image description here

バージョンを変更する場合、デフォルトのライブラリファイルをAPIバージョンのバージョンに変更する必要があります。

implementation 'com.Android.support:appcompat-v7:27.1.0' AP​​Iバージョン27

2
Kopi Bryant

Android Studio 3.5.3でこれを見ている人のために

  1. File> Project Structureに移動します。
  2. 左側のパネルでModulesを選択します
  3. 中央パネルでappを選択します
  4. 右側のパネルでDefault Configをクリックします
  5. Target SDK Versionを必要なバージョンに変更します

enter image description here

0

「Gradle Scripts >> build.gradle(Module:app)」で、minSdkVersionを23から26に変更できます。次に同期します。

0
M.J Jalali